Bug 875432 - not able to select timezone by typing
not able to select timezone by typing
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On: 907939 907946
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-11 01:39 EST by Shawn Starr
Modified: 2014-02-05 18:17 EST (History)
6 users (show)

See Also:
Fixed In Version: anaconda-19.10-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:17:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2012-11-11 01:39:11 EST
Description of problem:
It would be nice to be able to type a letter while the GtkCellRendererCombo is focused and have it scroll to match letter(s) being typed vs scrolling to find matching cities (in Timezone screen)

Version-Release number of selected component (if applicable):
Anaconda TCx

How reproducible: 100%


Steps to Reproduce:
1. When using Anaconda timezone screen, have to scroll to find place (vs hitting the dot to find the city in the map). 
  
Actual results:
No reaction to combo box scrolling/changing when typing w/ focus given to widget

Expected results:
User should be able to hot select an item by typing the letter and the GtkCellRendererCombo should scroll to the respective matching items with letter specified.
Comment 1 Steve Tyler 2012-11-12 10:31:35 EST
Confirmed with anaconda 18.28.

Typing a letter key has no effect in the time zone menus. Navigation of the time zone menus is possible with these keys, however:

up-arrow
down-arrow
page-up
page-down
home
end

Tested with:
$ qemu-kvm -m 2048 -hda f18-test-2.img -cdrom ~/xfr/fedora/F18/F18-Beta/TC8/Fedora-18-Beta-TC8-x86_64-DVD.iso -usb -vga qxl -boot menu=on -usbdevice mouse
Comment 2 Chris Lumens 2012-11-13 11:25:10 EST
Those are actually GtkCellRendererTexts.
Comment 3 Vratislav Podzimek 2012-11-14 02:40:05 EST
Unfortunately there is almost certainly no way to get "typing search" for ComboBox/GtkCellRendererTexts. The only thing that can be implemented is having ComboBox with TextEntry and Completion.

This is something I've already worked on before, but then I switch to some more urgent things. Please see this preview: 
http://vpodzime.fedorapeople.org/DatetimeSpoke-city_completion.webm 

which shows the result of the previous work on city selection. The same has to be done for the region selection and both these entries have to be made wider.
Comment 4 Shawn Starr 2013-04-09 04:38:08 EDT
This looks great, can we consider this for Fedora 20 time frame?
Comment 5 Vratislav Podzimek 2013-04-09 08:49:39 EDT
(In reply to comment #4)
> This looks great, can we consider this for Fedora 20 time frame?
It is included in Fedora 19's Anaconda. But due to the bug #907946, the completion doesn't appear.
Comment 6 Adam Williamson 2013-05-12 19:45:50 EDT
Well, you can type into the box in current F19, though it seems a bit kooky: there's no completion (as per c#5), you have to type it absolutely perfectly or it doesn't work even if what you've typed is enough to uniquely identify one entry on the list, and after fiddling it for a while, the scrollbars on the drop-downs disappear. So let's say this is a bit of a work-in-progress for now and leave it open...
Comment 7 Vratislav Podzimek 2013-05-13 06:58:16 EDT
(In reply to comment #6)
> Well, you can type into the box in current F19, though it seems a bit kooky:
> there's no completion (as per c#5), you have to type it absolutely perfectly
> or it doesn't work even if what you've typed is enough to uniquely identify
> one entry on the list, and after fiddling it for a while, the scrollbars on
> the drop-downs disappear. So let's say this is a bit of a work-in-progress
> for now and leave it open...
Agreed, I just want to mention, that if you type an entry from the list and hit ENTER or TAB, the city (or region) is selected.
Comment 8 Fedora End Of Life 2013-12-21 10:42:11 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2014-02-05 18:17:38 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.